import { defineStore } from 'pinia'

export type Serverinfo = {
  isInitialized: boolean
}

export const useServerinfoStore = defineStore('ServerinfoStore', {
  state: () => {
    return {
      Serverinfo: {
        isInitialized: false,
      } as Serverinfo,
    }
  },
  getters: {
    isInitialized: (state): boolean => state.Serverinfo.isInitialized,
  },
  actions: {
    setServerinfo(Serverinfo: Serverinfo): void {
     this.Serverinfo = Serverinfo 
    },
  },
})
